summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2018-09-25 07:05:03 +0200
committerHans de Graaff <graaff@gentoo.org>2018-09-25 07:05:03 +0200
commitfb7a00b2d4d41ee95b1ff617d771490d2310c4e1 (patch)
tree5f0a14be89858066fa54c4eb22a09221db51c7c6 /www-apps
parentdev-db/mariadb: Version bump for 10.3.9 (diff)
downloadgentoo-fb7a00b2d4d41ee95b1ff617d771490d2310c4e1.tar.gz
gentoo-fb7a00b2d4d41ee95b1ff617d771490d2310c4e1.tar.bz2
gentoo-fb7a00b2d4d41ee95b1ff617d771490d2310c4e1.zip
www-apps/nanoc: add 4.9.6
Package-Manager: Portage-2.3.49, Repoman-2.3.10
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/nanoc/Manifest1
-rw-r--r--www-apps/nanoc/nanoc-4.9.6.ebuild93
2 files changed, 94 insertions, 0 deletions
diff --git a/www-apps/nanoc/Manifest b/www-apps/nanoc/Manifest
index 927b034657d..ab373f3293f 100644
--- a/www-apps/nanoc/Manifest
+++ b/www-apps/nanoc/Manifest
@@ -3,3 +3,4 @@ DIST nanoc-4.9.2.tar.gz 275891 BLAKE2B 6c2ca3b1f00f59762530ccf8dfb37599d89b67819
DIST nanoc-4.9.3.tar.gz 276677 BLAKE2B d14ba8518a299fa9c4ac6ca638eb644dce9b1c0ab0895843a9bb8a916329916c9efaf4bd0bd397cb4dc10319081593dce167d966c2cc1d35247e5c0fd8368e72 SHA512 cc3946a8887f917cba4ef7d0fb5e5043eb8c6995a09de8e525562594fba2410d457643b27d158c89cb03b17b014624bc2844a85bbc6ae92dbf18723692c63a85
DIST nanoc-4.9.4.tar.gz 281066 BLAKE2B bcf0771af8368e1910bc471d936490823a3f2768bf8503ffe20eb86a2c52f35d03962a969f35335fc9f2e292056441f8e37b73a907bf2bedbb5ab81f3b341fa4 SHA512 8e6b92ea031397442551e240a0b400b3fd9b55cd3782ee3297c562160b3a5d9539f2587d526453bde9154f2de421198a528ad73ab6230c49de4599f0b4d298d2
DIST nanoc-4.9.5.tar.gz 282523 BLAKE2B 5faad9c9d666637cb5540d26bb1db0ee42615333aac4daec94a8c13c1d68da0b0ccf714a1643fd231dd39cfb4f169ef9ad6bbc1ccc6bf141c26f7236e234d627 SHA512 455a55ce5cd983d0c292380d0e60e8016e7c7dbde7ea1d17ef7cf112707a481da4623ad30762b64167e2e277a7a11c0b06f21b2685467455ee31fc3b9d6cc4c1
+DIST nanoc-4.9.6.tar.gz 282811 BLAKE2B 109b73e4908b45c055912f6e3b2d18675ee00dd848cf7b84197d1a53c30d5862183dcdbd917f1f6f235f97dc5d33b36ba423f34b72bb83ca6f9f2fda4f0081b3 SHA512 67b2df683c4becfbb9a64462b053544c68117c2459fce8e5941f8415c79f1ec73e9c386622dfdb201cf5473f6b83ff1b1444b6492d247036e696d3761e4589ce
diff --git a/www-apps/nanoc/nanoc-4.9.6.ebuild b/www-apps/nanoc/nanoc-4.9.6.ebuild
new file mode 100644
index 00000000000..9e6642788b8
--- /dev/null
+++ b/www-apps/nanoc/nanoc-4.9.6.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="NEWS.md README.md"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="nanoc is a simple but very flexible static site generator written in Ruby"
+HOMEPAGE="https://nanoc.ws/"
+SRC_URI="https://github.com/nanoc/nanoc/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="${IUSE} minimal"
+
+DEPEND+="test? ( app-text/asciidoc app-text/highlight )"
+
+RUBY_S="${P}/nanoc"
+
+ruby_add_rdepend "!minimal? (
+ dev-ruby/mime-types:*
+ dev-ruby/rack:*
+ www-servers/adsf
+)
+ >=dev-ruby/addressable-2.5
+ >=dev-ruby/cri-2.13:0
+ dev-ruby/ddmemoize:1
+ dev-ruby/ddmetrics:1
+ dev-ruby/ddplugin:1
+ =dev-ruby/hamster-3*
+ >=dev-ruby/parallel-1.12:1
+ dev-ruby/ref:2
+ >=dev-ruby/slow_enumerator_tools-1.1.0:1
+ >=dev-ruby/tomlrb-1.2:1"
+
+ruby_add_bdepend "test? (
+ dev-ruby/rspec:3
+ dev-ruby/asciidoctor
+ dev-ruby/fuubar
+ dev-ruby/maruku
+ >=dev-ruby/mocha-0.13
+ dev-ruby/minitest
+ dev-ruby/pry
+ dev-ruby/rdoc
+ dev-ruby/rouge:2
+ dev-ruby/systemu
+ dev-ruby/timecop
+ dev-ruby/vcr
+ dev-ruby/webmock
+ dev-ruby/yard
+)
+doc? (
+ dev-ruby/kramdown
+ dev-ruby/rdiscount
+ dev-ruby/yard
+)"
+
+all_ruby_prepare() {
+ # Avoid unneeded development dependencies
+ sed -i -e '/simplecov/,/SimpleCov.formatter/ s:^:#:' test/helper.rb || die
+ sed -i -e '/simplecov/I s:^:#:' \
+ -e '/codecov/I s:^:#:' ../common/spec/spec_helper_head.rb || die
+ sed -i -e '/coverall/I s:^:#:' \
+ -e '/rubocop/ s:^:#:' Rakefile || die
+
+ echo "-r ./spec/spec_helper.rb" > .rspec || die
+
+ # Avoid tests requiring a network connection
+ rm -f test/checking/checks/test_{css,html}.rb || die
+
+ # Avoid tests for unpackaged dependencies
+ rm spec/nanoc/deploying/fog_spec.rb \
+ spec/nanoc/filters/less_spec.rb \
+ test/filters/test_{markaby,rainpress}.rb || die
+
+ # Use useable tmp dir
+ sed -i -e 's:/tmp/whatever:'${T}'/whatever:' spec/nanoc/base/checksummer_spec.rb || die
+
+ # Avoid non-fatal failing tests due to specifics in the environment
+ sed -i -e '145askip "gentoo"' spec/nanoc/cli/error_handler_spec.rb || die
+ sed -i -e '/does not crash when output dir does not exist and/askip "gentoo"' spec/nanoc/cli/commands/view_spec.rb || die
+ sed -i -e '/watches with --watch/askip "gentoo"' spec/nanoc/cli/commands/compile_spec.rb || die
+}
+
+each_ruby_test() {
+ RUBYLIB="${S}/lib" ${RUBY} -S rake spec test_all || die
+}